#!/bin/sh

# Jabt Alva Braille Terminal driver install script.
# (C)1999 J. Lemmens

# Jabt only works on Linux version 1.1.92 or later.

# Set user to root for best results.
if [ ! $LOGNAME = root ];then
   echo "Please change to user root."
   exit 1
fi

# Make a directory /opt/etc/jabt.
test ! -d /opt && ln -s /usr/local /opt
test ! -d /opt/etc && mkdir /opt/etc
test ! -d /opt/etc/jabt && mkdir /opt/etc/jabt

# Copy all *.au, punctuation.?.sh, tab*.txt
# and the tts files to /opt/etc/jabt.
cp *.au tab*.txt tts /opt/etc/jabt
cp punctuation.1.sh.english /opt/etc/jabt/punctuation.1.sh

# Place the manual in the man-directory.
gzip -9 jabt.1
cp jabt.1.gz /opt/man/man1

# Place the binary in the bin-directory and give it the set-user-id.
test ! -d /opt/bin && mkdir /opt/bin
cp jabt /opt/bin
chmod u+s /opt/bin/jabt

# Make a symbolic link from the serial port where your ABT is connected
# to to /dev/abt.
echo "Give the port to which your ABT is connected to:"
echo -n "(1 = first port, 2 = second, etc..) "
read ans
test -z $ans && ans=1
port=`expr $ans - 1`
ln -fs /dev/ttyS$port /dev/abt

# Make vcs device.
# Script by Jakub Jelinek
#
if [ ! -e /dev/vcs0 ]; then
   I=0
   while [ $I -lt 10 ]; do
      mknod /dev/vcs$I c 7 $I
      chmod 622 /dev/vcs$I
      chown root.tty /dev/vcs$I
      mknod /dev/vcsa$I c 7 `expr $I + 128`
      chmod 622 /dev/vcsa$I
      chown root.tty /dev/vcsa$I
      I=`expr $I + 1`
   done
fi

# Place the say synth in /opt/bin.
# rsynth: version 1.13 1994/11/08
cp say /opt/bin

echo "The jabt Alva Braille Terminal driver has been installed."
